
<div id="attachmentList">
    <ul class="list-group">
        <li class="list-group-item" ng-repeat="attachment in attachments">
            <p>
                <b>{{attachment.name}}</b>
                <a href="#" class="btn btn-danger btn-xs btn-round pull-right margin-left-md"
                    ng-click="deleteAttachment(attachment)">
                    <i class="fa fa-trash"></i>
                </a>
                <small class="pull-right">
                    <em>par {{attachment.createdBy.name}} le {{attachment.createdAt |  dateFormat : 'DD/MM/YYYY à HH:mm'}}</em>
                </small>
            </p>
            <a href="{{attachment.url}}" target="_blank">{{'note_field_attachment' | translate}}</a>
        </li>
    </ul>
</div>
<div>
    <form name="attachmentForm">
        <div class="row" ng-show="showAttachmentForm">
            <div class="col-xs-12 text-left">
                <div class="row">
                    <div class="col-xs-6 form-group required">
                        <label>{{'attachment_field_name' | translate}}</label>
                        <input type="text" class="form-control" ng-model="attachment.name"/>
                        <field-errors field="name" errors="errors.fields"></field-errors>
                    </div>
                    <div class="col-xs-6 form-group required" ng-if="uploader">
                        <label>{{'attachment_field_url' | translate}}</label>
                        <input class="attach_form_file" type="file" nv-file-select uploader="uploader" ng-model="attachment.file" />
                        <field-errors field="file" errors="errors.fields"></field-errors>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <button class="btn btn-default" type="button" ng-click="showAttachmentForm = false" ng-show="showAttachmentForm">
                    {{'close' | translate}}
                </button>
                <button class="btn btn-default" type="button" ng-click="showAttachmentForm = true" ng-show="!showAttachmentForm">
                    <i class="fa fa-plus"></i> {{'attachment_nav_form' | translate}}
                </button>
                <button class="btn" ng-show="showAttachmentForm" ng-disabled="loading.save || !primary" ng-click="saveAttachment();">
                    {{'save' | translate}}
                </button>
            </div>
        </div>
    </form>
</div>
